import { AbstractControl } from '@angular/forms';
import { FieldItems, FieldSubType, FieldType, InputType } from '../types/schema-form.types';
export declare class ParsedField {
    readonly default: any;
    readonly description: any;
    readonly enforceUnique: boolean;
    readonly items: FieldItems;
    readonly format: string;
    readonly label: string;
    readonly options: any[];
    readonly maximum: number;
    readonly maxItems: number;
    readonly maxLength: number;
    readonly minimum: number;
    readonly minItems: number;
    readonly minLength: number;
    readonly name: string;
    readonly nestedDef: {
        [key: string]: any;
    };
    readonly parsedArray: ParsedField[];
    readonly parsedList: ParsedField;
    readonly parsedFields: ParsedField[];
    readonly pattern: string;
    readonly properties: {
        [key: string]: any;
    };
    readonly required: boolean;
    readonly subtype: FieldSubType;
    readonly type: FieldType;
    parent: ParsedField;
    control: AbstractControl;
    private _default;
    private _description;
    private _enforceUnique;
    private _format;
    private _items;
    private _label;
    private _options;
    private _minItems;
    private _maxItems;
    private _minLength;
    private _maxLength;
    private _minimum;
    private _maximum;
    private _name;
    private _nestedDef;
    private _parsedArray;
    private _parsedList;
    private _parsedFields;
    private _pattern;
    private _properties;
    private _required;
    private _subtype;
    private _type;
    constructor(name: string, fieldDef: {
        [prop: string]: any;
    }, requiredFields?: string[]);
    toInputType(): InputType;
}
